% Universidade de São Paulo (USP)
% Instituto de Ciências Matemáticas e de Computação (ICMC)
% SCC0251 - Processamento de Imagens - 2013/1
% Prof. Dr. Mario Gazziro
% Monitor PAE: Vinicius Ruela Pereira Borges
%
% AULA 3: Segmentação de Imagens
% CÓDIGO: Filtros de detecção de bordas pelo Laplaciano do Gaussiano (LoG)
% =========================================================

function LoG(img)

    % Converte pra double
    I = double(img);
    
    % Construcao filtro log
    w = [0,0,-1,0,0;0,-1,-2,-1,0;-1,-2,16,-2,-1;0,-1,-2,-1,0;0,0,-1,0,0];
    
    %Obtem gx
    Ic = imfilter(I,w);

    In = normalize(Ic);
    figure,imshow(img);
    title('Imagem original');
    figure,imshow(In);
    title('Normalizada');
    
    pause;
    
    close all;
    
end

function n = normalize(u)

    maior = max(max(u));
    menor = min(min(u));
    n = (u-menor)/(maior-menor);

end